Subject: Re: bug#36280: 26.2.90; 'emacs -Q' receives SIGSEGV, Segmentation fault

From: Robert Pluim <[email-masked]>
Date: Thu, 20 Jun 2019 13:06:49 +0200

>>>>> On Thu, 20 Jun 2019 19:28:35 +1000, VanL <[email-masked]> said:

    >> On 20 Jun 2019, at 00:32, Robert Pluim <[email-masked]> wrote:
    >> 
    >> Strange. Iʼve just built from the tarball both in-tree and out-of tree
    >> without any issues (but Iʼm not targeting X11/GTK), so I donʼt
    >> understand why building from git makes any difference for you.

    VanL> Maybe, your macOS has the 'macuvs.h' in the environment for the out-of tree case.

Itʼs part of the emacs source code, so thatʼs highly unlikely.

    VanL> -----

    VanL> I was able to build and run using 'clang' for X11/GTK2 and got the 'Segmentation fault'.

    VanL> Previously, for X11/GTK2 I was able to build and run successfully for 26.1, 26.1.90, 26.2, 27.

    VanL> Something about 26.2.90 is a show stopper for X11/GTK2.

    VanL> I don't know the options to give 'clang' to help 'gdb' with symbols and such.

either call configure with CFLAGS="-O0 -g3", or do

make CFLAGS="-O0 -g3"

after the configure step.

Robert